

#setwd


#mypath

filelist <- list.files(path = mypath, pattern = ".csv")
filelist <- as.vector(filelist)
filelist




# create an empty dataset to store future data
# install.packages("data.table")
library(data.table)
dt <- data.table()



###############
# run a loop to read all the files in the list
for (i in 1:length(filelist)) {
  # load data from one file
  print(i)
  temp <- read.csv(paste0(mypath,"/", filelist[i]))
  temp2 <- temp[,c("imei", "score.final_points_score")]
  
  # append the data to the general storage
  dt <- rbind (dt, temp2)
}
dt

###change date

#write.csv(dt, file = "sa_26.05.22.csv")

###aggregate based on imei
total_aggregate<- aggregate(. ~imei, data=dt, sum, na.rm=TRUE)

total_aggregate
### read in the demographics baseline files for EN and XH versions (contains phone numbers)


demographics.kenya.en <- read.csv("C:\\Users\\afp601\\Dropbox\\CONSULTANCIES\\CBS\\R script\\Kenya\\Demographics_Kenya_EN_V0.csv", header = T)
demographics.kenya.en_simple <- demographics.kenya.en [,c("imei", "respondent.phonenumb", "respondent.gender", "SubmitterName")]

demographics.kenya.sw <- read.csv("C:\\Users\\afp601\\Dropbox\\CONSULTANCIES\\CBS\\R script\\Kenya\\Demographics_Kenya_SW_V0.csv", header = T)
demographics.kenya.sw_simple <- demographics.kenya.sw [,c("imei", "respondent.phonenumb", "respondent.gender", "SubmitterName")]

demographics <- data.table()
demographics<- rbind (demographics.kenya.sw_simple, demographics.kenya.en_simple)

####Create new data frame for csv file
sos_credit<- data.frame(total_aggregate)
sos_credit


####MERGE demographics data 
sos_credit<- merge(demographics, total_aggregate, by = "imei", all.x = TRUE, all.y = TRUE, sort=TRUE)
names(sos_credit)[names(sos_credit) == ""] <- "id"  



#change name to running total#####
library(dplyr)


names(sos_credit)[names(sos_credit) == "score.final_points_score"] <- "Running_total"

sos_credit$ownership_if_A<- (((sos_credit$Running_total)/4520/0.9))*100

sos_credit$Top_up_if_A<- (sos_credit$Running_total * 0.58997)
sos_credit$Top_up_if_B<- (sos_credit$Running_total * 2.06489)





sos_credit

# remove duplicate rows with dplyr
sos_credit<- (sos_credit %>% 
                                distinct(imei, .keep_all = TRUE))



######change date##############

path <- mypath
write.csv(sos_credit, file.path(path, "xx.csv"), row.names=FALSE)


